Package net.shibboleth.saml.saml2.profile.config.logic

# Class IgnoreRequestSignaturesPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate
net.shibboleth.saml.saml2.profile.config.logic.IgnoreRequestSignaturesPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class IgnoreRequestSignaturesPredicate extends AbstractRelyingPartyPredicate
Predicate that decides whether to ignore a request signature.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`IgnoreRequestSignaturesPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### IgnoreRequestSignaturesPredicate

public IgnoreRequestSignaturesPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)